﻿#language: ru

Функционал: Отбраковка голов

Сценарий: Отбраковка голов
	Дано Я подключаюсь под "Технолог"
	И В командном интерфейсе я выбираю 'Производство' 'Рабочее место технолога'
	Тогда открылось окно 'Рабочее место технолога*'
	И я перехожу к закладке с именем "ГруппаТаблицаОстатковПанельОтборов"
	И в поле 'Дата смены' я ввожу текст '29.03.2019'
	И я перехожу к закладке с именем "ГруппаТаблицаОстатковПанельОтборов"
	И я нажимаю кнопку выбора у поля "Смена"
	Тогда открылось окно "Смены"
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Смена24'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я перехожу к закладке с именем "ГруппаТаблицаОстатковПанельОтборов"
	И я нажимаю кнопку выбора у поля "Рабочий центр"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я нажимаю на гиперссылку "Декорация развернуть панель отборов"
	И я нажимаю кнопку выбора у поля "ОтборХарактеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'На созревании'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно "Рабочее место технолога*"
	И я перехожу к закладке "Настройки"
	И я нажимаю кнопку выбора у поля с именем "ОтборСклад"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Рабочее место технолога*'
	И я перехожу к закладке "Настройки"
	И я устанавливаю флаг 'Показывать тару'
	И я перехожу к закладке "Настройки"	
	И в таблице "ТаблицаОстатков" я перехожу к строке:
		| 'Кг'  | 'Номенклатура'   |
		| '300' | 'Российский 50%' |
	И я нажимаю на кнопку 'Выпустить брак'
	Тогда открылось окно 'Укажите количество брака*'
	И я нажимаю кнопку выбора у поля "Характеристика брака"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И я нажимаю кнопку выбора у поля "Причина брака"
	Тогда открылось окно "Причины брака"
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'Запах'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И у элемента с именем "Количество" я жду значения "300,000" в течение 10 секунд
	И у элемента с именем "Количество1" я жду значения "100,000" в течение 10 секунд
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно "Рабочее место технолога*"
	И Я закрываю окно "Рабочее место технолога*"